Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.migration
Class Import

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.migration.Export
                  com.atlassian.bamboo.ww2.actions.admin.migration.Import

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class Import

extends Export

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`Import()`

Method Summary
`String` | `doConfirm()`
`String` | `doDefault()`
`String` | `execute()`
`AdminErrorHandler` | `getAdminErrorHandler()`
`AdministrationConfiguration` | `getAdministrationConfiguration()`
`String` | `getBackupPath()`
`String` | `getBackupSelected()`
`String` | `getDefaultBackupPath()`
`String` | `getPath()`
`void` | `setAdminErrorHandler(AdminErrorHandler adminErrorHandler)`
`void` | `setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)`
`void` | `setBackupPath(String backupPath)`
`void` | `setBackupSelected(String backupSelected)`
`void` | `setPath(String path)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.admin.migration.Export
`bambooExport, getBootstrapManager, getDefaultExportPath, getPipelineManager, getXmlMigrator, isBambooFree, safeStartBamboo, safeStopBamboo, setBootstrapManager, setPipelineManager, setXmlMigrator`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### Import

    public Import()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `Export`
  Throws:
    `Exception`

### doConfirm

    public String doConfirm()
                     throws Exception

  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Overrides:
    `execute` in class `Export`
  Throws:
    `Exception`

### getDefaultBackupPath

    public String getDefaultBackupPath()

### getPath

    public String getPath()

  Overrides:
    `getPath` in class `Export`

### setPath

    public void setPath(String path)

  Overrides:
    `setPath` in class `Export`

### getBackupSelected

    public String getBackupSelected()

### setBackupSelected

    public void setBackupSelected(String backupSelected)

### getBackupPath

    public String getBackupPath()

### setBackupPath

    public void setBackupPath(String backupPath)

### getAdminErrorHandler

    public AdminErrorHandler getAdminErrorHandler()

### setAdminErrorHandler

    public void setAdminErrorHandler(AdminErrorHandler adminErrorHandler)

### getAdministrationConfiguration

    public AdministrationConfiguration getAdministrationConfiguration()

### setAdministrationConfiguration

    public void setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.